Package org.jcsp.net

# Interface NetChannelInput

All Superinterfaces:
  `ChannelInput`, `Networked`, `Poisonable`

All Known Subinterfaces:
  `MigratableChannelInput`, `NetSharedChannelInput`

All Known Implementing Classes:
  `MigratableAltingChannelInput`, `NetAltingChannelInput`

public interface NetChannelInput extends ChannelInput, Networked

An interface implemented by classes wishing to be Networked `ChannelInput` objects.

Implementing this interface does not guarantee that the input end can be used by multiple concurrent processes nor can it necessarily be ALTed over.

Author:
  Quickstone Technologies Limited
See Also:
  - `NetAltingChannelInput`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroyReader()`
Destroys the channel end and frees any resources within the JCSP.NET infrastructure.
`Class`
`getFactoryClass()`
Returns a Class file of the factory used to construct the channel end.

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

## Method Details

### getFactoryClass

Class getFactoryClass()

Returns a Class file of the factory used to construct the channel end.

Returns:
  the `Class` of the factory class.

### destroyReader

void destroyReader()

Destroys the channel end and frees any resources within the JCSP.NET infrastructure.